/*
 * File:   newsimpletest.c
 * Author: elenar
 *
 * Created on 10.2.2011, 20:55:27
 */

#include <stdio.h>
#include <stdlib.h>
#include <somp.h>
#include <matrix.h>
#include <cell.h>

/*
 * Simple C Test Suite
 */

void test1() {
  printf("newsimpletest test 1\n");
  matrix *S = matrix_rand_int(5, 20);
  puts("Matice S");
  matrix_print(S);
  puts("SOMP");
  cell *SOMP = somp_algorithm(S, 5);
  matrix *BASIS = element_get_matrix(cell_get(SOMP, 0, 0));
  matrix *AT = element_get_matrix(cell_get(SOMP, 0, 1));
  matrix *RT = element_get_matrix(cell_get(SOMP, 0, 2));
  puts("Basis");
  matrix_print(BASIS);
  puts("AT");
  matrix_print(AT);
  puts("RT");
  matrix_print(RT);
}

void test2() {
    printf("newsimpletest test 2\n");
    printf("%%TEST_FAILED%% time=0 testname=test2 (newsimpletest) message=error message sample\n");
}

int main(int argc, char** argv) {
    printf("%%SUITE_STARTING%% newsimpletest\n");
    printf("%%SUITE_STARTED%%\n");

    printf("%%TEST_STARTED%% test1 (newsimpletest)\n");
    test1();
    printf("%%TEST_FINISHED%% time=0 test1 (newsimpletest) \n");
/*
    printf("%%TEST_STARTED%% test2 (newsimpletest)\n");
    test2();
    printf("%%TEST_FINISHED%% time=0 test2 (newsimpletest) \n");

    printf("%%SUITE_FINISHED%% time=0\n");
*/
    return (EXIT_SUCCESS);
}
